Subject: Re: bug#37826: Very annoying autoraise client/server behavior with -t option

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Oct 2019 18:36:01 +0200

> From: Carlos Pita <[email-masked]>
> Date: Sun, 27 Oct 2019 13:31:11 -0300
> Cc: Juanma Barranquero <[email-masked]>, [email-masked]
> 
> > I wasn't talking about questions, I was talking about signaling an
> > error.
> 
> Ok,  by "requiring intervention" I was referring to both situations,
> errors and questions. Regarding errors, nothing special happens, I've
> added an error signal at the beginning of sh-mode, unsurprisingly the
> error is just buried in the messages buffer and only shown in the
> minibuffer of a frame that might be well hidden behind other app
> windows and is never risen because of the error.

I'm not sure I follow: if sh-mode signals an error, there should be no
other messages after that, because an error throws to top-level.  What
am I missing?